Reply

Programming Solid Edge in c# (construction body, rename body)

[ Edited ]

Dear All,

 

I have made a code in c#, which adds a part copy.

 

SolidEdgeFramework.Documents documents = application.Documents;
SolidEdgePart.PartDocument part = (SolidEdgePart.PartDocument)documents.Add("SolidEdge.PartDocument");

 

//string strFileName = something

part.Models.AddCopiedPart(strFileFullName);

 

How can I refer to this body? If you can give me examples (how can I rename it, or how can I change it to a contrustion body?) that would be nice!

 

I knew this one before:

part.Models.Item(1).CopiedParts.Item(1).BreakLinks();

which breaks the link between this body and the original file.

 

But I cannot find anything about the examples i wrote above (rename, or costr.body)

 

Thanks for helping!

 

Mark